import React, {Component} from 'react'
import Routes from './router'
import cookie from 'js-cookie'
import {api} from '@/utils'

//拦截ajax请求，返回mock数据
import mock from '@/utils/mock'


// 默认样式
import './assets/css/index.scss';

// iconfont
import './assets/font/iconfont.css';



export default class App extends Component{
    componentDidMount(){
        //平台信息
        cookie.set('plat', '5')

        //拦截ajax请求，返回mock数据
        mock()

        api.get('/m/my_course/1/10')
            .then(res => {
                console.log(res)
            })
    }
    render(){
        return <Routes/>
    }
}